--- old/usr/src/cmd/svr4pkg/hdrs/libinst.h	Fri Jul 17 23:20:33 2015
+++ new/usr/src/cmd/svr4pkg/hdrs/libinst.h	Fri Jul 17 23:20:33 2015
@@ -210,8 +210,8 @@
 		    char **map_ptr, char *path));
 extern int	get_orig_offset __P((void));
 extern char	*get_inst_root __P((void));
-extern char	*get_mount_point __P((short n));
-extern char	*get_remote_path __P((short n));
+extern char	*get_mount_point __P((uint32_t n));
+extern char	*get_remote_path __P((uint32_t n));
 extern void	set_env_cbdir __P((void));
 extern int	set_inst_root __P((char *path));
 extern void	put_path_params __P((void));
@@ -242,32 +242,32 @@
 
 /* mntinfo.c */
 extern int	get_mntinfo __P((int map_client, char *vfstab_file));
-extern short	fsys __P((char *path));
-extern struct fstable *get_fs_entry __P((short n));
+extern uint32_t	fsys __P((char *path));
+extern struct fstable *get_fs_entry __P((uint32_t n));
 extern int	mount_client __P((void));
 extern int	unmount_client __P((void));
-extern short	resolved_fsys __P((char *path));
-extern char	*get_server_host __P((short n));
-extern char	*server_map __P((char *path, short fsys_value));
-extern int	use_srvr_map __P((char *path, short *fsys_value));
-extern int	use_srvr_map_n __P((short n));
-extern int	is_fs_writeable __P((char *path, short *fsys_value));
-extern int	is_remote_fs __P((char *path, short *fsys_value));
-extern int	is_served __P((char *path, short *fsys_value));
-extern int	is_mounted __P((char *path, short *fsys_value));
-extern int	is_fs_writeable_n __P((short n));
-extern int	is_remote_fs_n __P((short n));
-extern int	is_served_n __P((short n));
-extern int	is_mounted_n __P((short n));
-extern fsblkcnt_t	get_blk_size_n __P((short n));
-extern fsblkcnt_t	get_frag_size_n __P((short n));
-extern fsblkcnt_t	get_blk_used_n __P((short n));
-extern fsblkcnt_t	get_blk_free_n __P((short n));
-extern fsblkcnt_t	get_inode_used_n __P((short n));
-extern fsblkcnt_t	get_inode_free_n __P((short n));
-extern void	set_blk_used_n __P((short n, fsblkcnt_t value));
-extern char	*get_source_name_n __P((short n));
-extern char	*get_fs_name_n __P((short n));
+extern uint32_t	resolved_fsys __P((char *path));
+extern char	*get_server_host __P((uint32_t n));
+extern char	*server_map __P((char *path, uint32_t fsys_value));
+extern int	use_srvr_map __P((char *path, uint32_t *fsys_value));
+extern int	use_srvr_map_n __P((uint32_t n));
+extern int	is_fs_writeable __P((char *path, uint32_t *fsys_value));
+extern int	is_remote_fs __P((char *path, uint32_t *fsys_value));
+extern int	is_served __P((char *path, uint32_t *fsys_value));
+extern int	is_mounted __P((char *path, uint32_t *fsys_value));
+extern int	is_fs_writeable_n __P((uint32_t n));
+extern int	is_remote_fs_n __P((uint32_t n));
+extern int	is_served_n __P((uint32_t n));
+extern int	is_mounted_n __P((uint32_t n));
+extern fsblkcnt_t	get_blk_size_n __P((uint32_t n));
+extern fsblkcnt_t	get_frag_size_n __P((uint32_t n));
+extern fsblkcnt_t	get_blk_used_n __P((uint32_t n));
+extern fsblkcnt_t	get_blk_free_n __P((uint32_t n));
+extern fsblkcnt_t	get_inode_used_n __P((uint32_t n));
+extern fsblkcnt_t	get_inode_free_n __P((uint32_t n));
+extern void	set_blk_used_n __P((uint32_t n, fsblkcnt_t value));
+extern char	*get_source_name_n __P((uint32_t n));
+extern char	*get_fs_name_n __P((uint32_t n));
 extern int	load_fsentry __P((struct fstable *fs_entry, char *name,
 		    char *fstype, char *remote_name));
 extern int	isreloc __P((char *pkginstdir));
--- old/usr/src/cmd/svr4pkg/libinst/mntinfo.c	Fri Jul 17 23:20:33 2015
+++ new/usr/src/cmd/svr4pkg/libinst/mntinfo.c	Fri Jul 17 23:20:33 2015
@@ -216,7 +216,7 @@
 
 /* This returns the hostname portion of a remote path. */
 char *
-get_server_host(short n)
+get_server_host(uint32_t n)
 {
 	static char hostname[HOST_NM_LN], *host_end;
 
@@ -224,7 +224,7 @@
 		return ("unknown source");
 	}
 
-	if (n >= 0 && n < fs_tab_used) {
+	if (n < fs_tab_used) {
 		(void) strcpy(hostname, fs_tab[n]->remote_name);
 		if ((host_end = strchr(hostname, ':')) == NULL) {
 			if ((strcmp(fs_tab[n]->fstype, MNTTYPE_AUTO)) == NULL)
@@ -566,13 +566,13 @@
  * for further processing, it should be strdup()'d or something.
  */
 char *
-server_map(char *path, short fsys_value)
+server_map(char *path, uint32_t fsys_value)
 {
 	static char server_construction[PATH_MAX];
 
 	if (fs_tab_used == 0) {
 		(void) strcpy(server_construction, path);
-	} else if (fsys_value >= 0 && fsys_value < fs_tab_used) {
+	} else if (fsys_value < fs_tab_used) {
 		(void) snprintf(server_construction,
 			sizeof (server_construction),
 			"%s%s", fs_tab[fsys_value]->remote_name,
@@ -1051,7 +1051,7 @@
  * refer to other filesystems. It just returns the entry containing this
  * path.
  */
-short
+uint32_t
 fsys(char *path)
 {
 	register int i;
@@ -1147,7 +1147,7 @@
  * it will return the filesystem that the loopback filesystem is mounted
  * over.
  */
-short
+uint32_t
 resolved_fsys(char *path)
 {
 	int i = -1;
@@ -1170,7 +1170,7 @@
  * install root is really the target filesystem.
  */
 int
-use_srvr_map_n(short n)
+use_srvr_map_n(uint32_t n)
 {
 	return ((int)fs_tab[n]->srvr_map);
 }
@@ -1181,7 +1181,7 @@
  * to this file system.
  */
 int
-is_mounted_n(short n)
+is_mounted_n(uint32_t n)
 {
 	return ((int)fs_tab[n]->mounted);
 }
@@ -1191,7 +1191,7 @@
  *	if it's writeable, 0 if read-only.
  */
 int
-is_fs_writeable_n(short n)
+is_fs_writeable_n(uint32_t n)
 {
 	/*
 	 * If the write access permissions haven't been confirmed, do that
@@ -1217,7 +1217,7 @@
  *	Note: Upon entry, a valid fsys() is required.
  */
 int
-is_remote_fs_n(short n)
+is_remote_fs_n(uint32_t n)
 {
 	return ((int)fs_tab[n]->remote);
 }
@@ -1224,7 +1224,7 @@
 
 /* index-driven is_served() */
 int
-is_served_n(short n)
+is_served_n(uint32_t n)
 {
 	return ((int)fs_tab[n]->served);
 }
@@ -1235,7 +1235,7 @@
  *	Note: Upon entry, a valid fsys() is required.
  */
 fsblkcnt_t
-get_blk_free_n(short n)
+get_blk_free_n(uint32_t n)
 {
 	return (fs_tab[n]->bfree);
 }
@@ -1246,7 +1246,7 @@
  *	Note: Upon entry, a valid fsys() is required.
  */
 fsblkcnt_t
-get_blk_used_n(short n)
+get_blk_used_n(uint32_t n)
 {
 	return (fs_tab[n]->bused);
 }
@@ -1257,7 +1257,7 @@
  *	Note: Upon entry, a valid fsys() is required.
  */
 fsblkcnt_t
-get_inode_free_n(short n)
+get_inode_free_n(uint32_t n)
 {
 	return (fs_tab[n]->ffree);
 }
@@ -1268,7 +1268,7 @@
  *	Note: Upon entry, a valid fsys() is required.
  */
 fsblkcnt_t
-get_inode_used_n(short n)
+get_inode_used_n(uint32_t n)
 {
 	return (fs_tab[n]->fused);
 }
@@ -1279,7 +1279,7 @@
  *	Note: Upon entry, a valid fsys() is required.
  */
 void
-set_blk_used_n(short n, fsblkcnt_t value)
+set_blk_used_n(uint32_t n, fsblkcnt_t value)
 {
 	fs_tab[n]->bused = value;
 }
@@ -1286,7 +1286,7 @@
 
 /* Get the filesystem block size. */
 fsblkcnt_t
-get_blk_size_n(short n)
+get_blk_size_n(uint32_t n)
 {
 	return (fs_tab[n]->bsize);
 }
@@ -1293,7 +1293,7 @@
 
 /* Get the filesystem fragment size. */
 fsblkcnt_t
-get_frag_size_n(short n)
+get_frag_size_n(uint32_t n)
 {
 	return (fs_tab[n]->bsize);
 }
@@ -1302,7 +1302,7 @@
  * This returns the name of the indicated filesystem.
  */
 char *
-get_fs_name_n(short n)
+get_fs_name_n(uint32_t n)
 {
 	if (fs_tab_used == 0) {
 		return (NULL);
@@ -1319,7 +1319,7 @@
  *	Note: Upon entry, a valid fsys() is required.
  */
 char *
-get_source_name_n(short n)
+get_source_name_n(uint32_t n)
 {
 	return (fs_tab[n]->remote_name);
 }
@@ -1328,7 +1328,7 @@
  * This function returns the srvr_map status based upon the path.
  */
 int
-use_srvr_map(char *path, short *fsys_value)
+use_srvr_map(char *path, uint32_t *fsys_value)
 {
 	if (*fsys_value == BADFSYS)
 		*fsys_value = fsys(path);
@@ -1340,7 +1340,7 @@
  * This function returns the mount status based upon the path.
  */
 int
-is_mounted(char *path, short *fsys_value)
+is_mounted(char *path, uint32_t *fsys_value)
 {
 	if (*fsys_value == BADFSYS)
 		*fsys_value = fsys(path);
@@ -1356,7 +1356,7 @@
  *	an interface requirement.
  */
 int
-is_fs_writeable(char *path, short *fsys_value)
+is_fs_writeable(char *path, uint32_t *fsys_value)
 {
 	if (*fsys_value == BADFSYS)
 		*fsys_value = fsys(path);
@@ -1372,7 +1372,7 @@
  *	an interface requirement.
  */
 int
-is_remote_fs(char *path, short *fsys_value)
+is_remote_fs(char *path, uint32_t *fsys_value)
 {
 	if (*fsys_value == BADFSYS)
 		*fsys_value = fsys(path);
@@ -1387,7 +1387,7 @@
  * (eg: pkgadd or pkgrm) will be writing to it.
  */
 int
-is_served(char *path, short *fsys_value)
+is_served(char *path, uint32_t *fsys_value)
 {
 	if (*fsys_value == BADFSYS)
 		*fsys_value = fsys(path);
@@ -1401,7 +1401,7 @@
  *	return NULL if it's a local filesystem.
  */
 char *
-get_remote_path(short n)
+get_remote_path(uint32_t n)
 {
 	char	*p;
 
@@ -1421,7 +1421,7 @@
  *	return NULL if it's a local filesystem.
  */
 char *
-get_mount_point(short n)
+get_mount_point(uint32_t n)
 {
 	if (!is_remote_fs_n(n))
 		return (NULL); 	/* local */
@@ -1429,7 +1429,7 @@
 }
 
 struct fstable *
-get_fs_entry(short n)
+get_fs_entry(uint32_t n)
 {
 	if (fs_tab_used == 0) {
 		return (NULL);
--- old/usr/src/lib/libpkg/common/cfext.h	Fri Jul 17 23:20:33 2015
+++ new/usr/src/lib/libpkg/common/cfext.h	Fri Jul 17 23:20:33 2015
@@ -67,8 +67,8 @@
 struct cfextra {
 	struct cfent cf_ent;	/* basic contents file entry */
 	struct mergstat mstat;  /* merge status for installs */
-	short   fsys_value; /* fstab[] entry index */
-	short   fsys_base;  /* actual base filesystem in fs_tab[] */
+	uint32_t   fsys_value; /* fstab[] entry index */
+	uint32_t   fsys_base;  /* actual base filesystem in fs_tab[] */
 	char	*client_path;   /* the client-relative path */
 	char	*server_path;   /* the server-relative path */
 	char	*map_path;  /* as read from the pkgmap */
